Bug 861780 - [abrt] cherrytree-0.26.2-1.fc17: core.py:929:on_fontbutton_text_font_set:TypeError: could not parse subscript as a tree path
[abrt] cherrytree-0.26.2-1.fc17: core.py:929:on_fontbutton_text_font_set:Type...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cherrytree (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:8e2d38f56251ef443574e4414bb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-30 13:38 EDT by Neil Darlow
Modified: 2012-10-23 05:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: cherrytree-0.28-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 05:50:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (114 bytes, text/plain)
2012-09-30 13:38 EDT, Neil Darlow
no flags Details

  None (edit)
Description Neil Darlow 2012-09-30 13:38:03 EDT
Version-Release number of selected component:
cherrytree-0.26.2-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        /usr/bin/python /usr/bin/cherrytree
kernel:         3.5.4-1.fc17.i686.PAE

backtrace:
:core.py:929:on_fontbutton_text_font_set:TypeError: could not parse subscript as a tree path
:
:Traceback (most recent call last):
:  File "/usr/share/cherrytree/modules/core.py", line 929, in on_fontbutton_text_font_set
:    if self.treestore[self.curr_tree_iter][4] == cons.CUSTOM_COLORS_ID:
:TypeError: could not parse subscript as a tree path
:
:Local variables in innermost frame:
:picker: <gtk.FontButton object at 0xa24925c (GtkFontButton at 0xa42d170)>
:self: <core.CherryTree instance at 0xa24156c>
Comment 1 Neil Darlow 2012-09-30 13:38:16 EDT
Created attachment 619462 [details]
File: core_backtrace
Comment 2 Giuseppe Penone 2012-10-03 10:47:48 EDT
ok this should be fixed in versions > 0.27.1
Comment 3 Fedora Update System 2012-10-10 23:13:49 EDT
cherrytree-0.28-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cherrytree-0.28-1.fc17
Comment 4 Fedora Update System 2012-10-11 22:53:52 EDT
Package cherrytree-0.28-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cherrytree-0.28-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15964/cherrytree-0.28-1.fc17
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.